QGIS Application - Bug report #19533
QGIS browser panel scanning slows down QGIS
2018-08-02 01:28 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.18.22 Regression?: No
Operating System: Windows 7 - VDI Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27360
Description

| am trying to browse to some folders containing 100s of layers (mainly Mapinfo tab files) through QGIS panel. The scanning takes a long
time and slows down QGIS to almost an unusable state.
Note that | am using QGIS on a VDI.

The work-around is to hide the folder from scanning.

History

#1 - 2018-08-03 10:57 AM - Giovanni Manghi
- Status changed from Open to Feedback

Does it happen also on 3.*?

#2 - 2018-08-25 12:52 PM - Paolo Cavallini

AFAIK this has always been so. Do you find previous versions faster?

#3 - 2018-08-28 10:58 AM - Saber Razmjooei

| have noticed it only under QGIS 2.18. It is specific to the VDI and works fine on the normal OS.

#4 - 2018-08-28 10:58 AM - Saber Razmjooei
- Status changed from Feedback to Open

#5 - 2018-08-28 06:29 PM - Giovanni Manghi

vdi = virtual machine?

#6 - 2018-08-29 02:36 PM - Saber Razmjooei

hi Gio, yes. Virtual Desktop Infrastructure.lt is a common method these days within some large organisations.

#7 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#8 - 2019-01-21 09:16 AM - Saber Razmjooei
- Status changed from Feedback to Closed
